/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\Dark Palace\Mobiles\DarknessElemental.cs
Lines of code: 72
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a darkness elemental corpse" )]
	public class DarknessElemental : BaseCreature
	{
		[Constructable]
		public DarknessElemental () : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a darkness elemental";
			Body = 16;
			Hue = 1109;
			BaseSoundID = 278;

			SetStr( 1026, 1115 );
			SetDex( 125, 200 );
			SetInt( 326, 450 );

			SetHits( 1200, 1575 );

			SetDamage( 22, 32 );

			SetDamageType( ResistanceType.Physical, 0 );
			SetDamageType( ResistanceType.Poison, 20 );
			SetDamageType( ResistanceType.Energy, 80 );

			SetResistance( ResistanceType.Physical, 90, 100 );
			SetResistance( ResistanceType.Fire, 50, 60 );
			SetResistance( ResistanceType.Cold, 50, 60 );
			SetResistance( ResistanceType.Poison, 50, 60 );
			SetResistance( ResistanceType.Energy, 40, 60 );

			SetSkill( SkillName.EvalInt, 85.1, 110.0 );
			SetSkill( SkillName.Magery, 120.0 );
			SetSkill( SkillName.Meditation, 100.4, 120.0 );
			SetSkill( SkillName.MagicResist, 80.1, 115.0 );
			SetSkill( SkillName.Tactics, 80.1, 110.0 );
			SetSkill( SkillName.Necromancy, 110, 115.0 );
			SetSkill( SkillName.SpiritSpeak, 100, 110.0 );
			SetSkill( SkillName.Wrestling, 80.1, 115.0 );

			Fame = 22500;
			Karma = -22500;

			VirtualArmor = 70;

			PackItem( new Gold( Utility.RandomMinMax( 2510, 3512 ) ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.SuperBoss, 3 );
			AddLoot( LootPack.Rich );
		}


		public override int GetAngerSound()
		{
			return 412;
		}

		public override int TreasureMapLevel{ get{ return 6; } }
		public override bool CanRummageCorpses{ get{ return true; } }
		public override bool BleedImmune{ get{ return true; } }
		public override bool ReacquireOnMovement{ get{ return true; } } 
		public override bool BardImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool AlwaysMurderer{ get{ return true; } }

		public DarknessElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}